Good day

I have a bit of problem using zypper, it returns an error when I am trying to install any package.

'zypper --version returns this:


dlpsvr:~ # zypper --version
zypper 1.9.17
Segmentation fault


and

'zypper up' returns this

zypper up
Retrieving repository 'Plain RPM files cache' metadata ---------------------------------------------------------------------------------------------------[\]Aborted


Please suggest me some ideas to sort-out the same..
thanx in advance.